<?xml version="1.0" encoding="UTF-8"?>
<robot generated="20200122 23:16:24.026" generator="Robot 3.0.2 (Python 2.7.9 on win32)">
<suite source="C:\Assignment" id="s1" name="Assignment">
<suite source="C:\Assignment\Assignment.txt" id="s1-s1" name="Assignment">
<test id="s1-s1-t1" name="AS_001_Register">
<kw name="Open Browser" library="Selenium2Library">
<doc>Opens a new browser instance to the given ``url``.</doc>
<arguments>
<arg>https://todoist.com/</arg>
<arg>ff</arg>
</arguments>
<msg timestamp="20200122 23:16:25.515" level="INFO">Opening browser 'ff' to base url 'https://todoist.com/'.</msg>
<status status="PASS" endtime="20200122 23:16:44.776" starttime="20200122 23:16:25.515"></status>
</kw>
<kw name="Wait Until Element Is Visible" library="Selenium2Library">
<doc>Waits until element ``locator`` is visible.</doc>
<arguments>
<arg>//li[@class="gr8xzdxZw1pica0vmDt0g"]</arg>
</arguments>
<status status="PASS" endtime="20200122 23:16:44.828" starttime="20200122 23:16:44.776"></status>
</kw>
<kw name="Click Element" library="Selenium2Library">
<doc>Click element identified by ``locator``.</doc>
<arguments>
<arg>//li[@class="gr8xzdxZw1pica0vmDt0g"]</arg>
</arguments>
<msg timestamp="20200122 23:16:44.828" level="INFO">Clicking element '//li[@class="gr8xzdxZw1pica0vmDt0g"]'.</msg>
<status status="PASS" endtime="20200122 23:16:45.068" starttime="20200122 23:16:44.828"></status>
</kw>
<kw name="Wait Until Element Is Visible" library="Selenium2Library">
<doc>Waits until element ``locator`` is visible.</doc>
<arguments>
<arg>//iframe[@class="_1d9-wmqUMHRLlUH3yOW6SZ"]</arg>
</arguments>
<status status="PASS" endtime="20200122 23:16:47.070" starttime="20200122 23:16:45.069"></status>
</kw>
<kw name="Select Frame" library="Selenium2Library">
<doc>Sets frame identified by ``locator`` as the current frame.</doc>
<arguments>
<arg>//iframe[@class="_1d9-wmqUMHRLlUH3yOW6SZ"]</arg>
</arguments>
<msg timestamp="20200122 23:16:47.071" level="INFO">Selecting frame '//iframe[@class="_1d9-wmqUMHRLlUH3yOW6SZ"]'.</msg>
<status status="PASS" endtime="20200122 23:16:47.085" starttime="20200122 23:16:47.071"></status>
</kw>
<kw name="Element Should Be Visible" library="Selenium2Library">
<doc>Verifies that the element identified by ``locator`` is visible.</doc>
<arguments>
<arg>//input[@class='input_name']</arg>
</arguments>
<msg timestamp="20200122 23:16:47.096" level="INFO">Element '//input[@class='input_name']' is displayed.</msg>
<status status="PASS" endtime="20200122 23:16:47.096" starttime="20200122 23:16:47.086"></status>
</kw>
<kw name="Element Should Be Visible" library="Selenium2Library">
<doc>Verifies that the element identified by ``locator`` is visible.</doc>
<arguments>
<arg>//input[@id='email']</arg>
</arguments>
<msg timestamp="20200122 23:16:47.109" level="INFO">Element '//input[@id='email']' is displayed.</msg>
<status status="PASS" endtime="20200122 23:16:47.109" starttime="20200122 23:16:47.096"></status>
</kw>
<kw name="Element Should Be Visible" library="Selenium2Library">
<doc>Verifies that the element identified by ``locator`` is visible.</doc>
<arguments>
<arg>//input[@id='password']</arg>
</arguments>
<msg timestamp="20200122 23:16:47.120" level="INFO">Element '//input[@id='password']' is displayed.</msg>
<status status="PASS" endtime="20200122 23:16:47.120" starttime="20200122 23:16:47.109"></status>
</kw>
<kw name="Element Should Be Visible" library="Selenium2Library">
<doc>Verifies that the element identified by ``locator`` is visible.</doc>
<arguments>
<arg>//button[@id='submit_button']</arg>
</arguments>
<msg timestamp="20200122 23:16:47.130" level="INFO">Element '//button[@id='submit_button']' is displayed.</msg>
<status status="PASS" endtime="20200122 23:16:47.130" starttime="20200122 23:16:47.121"></status>
</kw>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into text field identified by ``locator``.</doc>
<arguments>
<arg>//input[@class='input_name']</arg>
<arg>worasak ChokthanaAnanporn</arg>
</arguments>
<msg timestamp="20200122 23:16:47.131" level="INFO">Typing text 'worasak ChokthanaAnanporn' into text field '//input[@class='input_name']'.</msg>
<status status="PASS" endtime="20200122 23:16:47.172" starttime="20200122 23:16:47.131"></status>
</kw>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into text field identified by ``locator``.</doc>
<arguments>
<arg>//input[@id='email']</arg>
<arg>worasak.cho@gmail.com</arg>
</arguments>
<msg timestamp="20200122 23:16:47.173" level="INFO">Typing text 'worasak.cho@gmail.com' into text field '//input[@id='email']'.</msg>
<status status="PASS" endtime="20200122 23:16:47.219" starttime="20200122 23:16:47.173"></status>
</kw>
<kw name="Input Password" library="Selenium2Library">
<doc>Types the given password into text field identified by ``locator``.</doc>
<arguments>
<arg>//input[@id='password']</arg>
<arg>P@ssword12345</arg>
</arguments>
<msg timestamp="20200122 23:16:47.219" level="INFO">Typing password into text field '//input[@id='password']'.</msg>
<status status="PASS" endtime="20200122 23:16:47.261" starttime="20200122 23:16:47.219"></status>
</kw>
<kw name="Capture Page Screenshot" library="Selenium2Library">
<doc>Takes screenshot of the current page and embeds it into log file.</doc>
<arguments>
<arg>AS_001_1.jpg</arg>
</arguments>
<msg timestamp="20200122 23:16:47.293" html="yes" level="INFO">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="AS_001_1.jpg"&gt;&lt;img src="AS_001_1.jpg" width="800px"&gt;&lt;/a&gt;</msg>
<msg timestamp="20200122 23:16:47.293" level="INFO">C:\Python27\lib\site-packages\selenium\webdriver\remote\webdriver.py:882: UserWarning: name used for saved screenshot does not match file type. It should end with a `.png` extension
  "type. It should end with a `.png` extension", UserWarning)</msg>
<status status="PASS" endtime="20200122 23:16:47.293" starttime="20200122 23:16:47.261"></status>
</kw>
<kw name="Wait Until Element Is Visible" library="Selenium2Library">
<doc>Waits until element ``locator`` is visible.</doc>
<arguments>
<arg>//input[@id='accept_terms']</arg>
</arguments>
<status status="PASS" endtime="20200122 23:16:47.305" starttime="20200122 23:16:47.293"></status>
</kw>
<kw name="Sleep" library="BuiltIn">
<doc>Pauses the test executed for the given time.</doc>
<arguments>
<arg>2s</arg>
</arguments>
<msg timestamp="20200122 23:16:49.305" level="INFO">Slept 2 seconds</msg>
<status status="PASS" endtime="20200122 23:16:49.305" starttime="20200122 23:16:47.305"></status>
</kw>
<kw name="Click Element" library="Selenium2Library">
<doc>Click element identified by ``locator``.</doc>
<arguments>
<arg>//input[@id='accept_terms']</arg>
</arguments>
<msg timestamp="20200122 23:16:49.306" level="INFO">Clicking element '//input[@id='accept_terms']'.</msg>
<status status="PASS" endtime="20200122 23:16:49.539" starttime="20200122 23:16:49.306"></status>
</kw>
<kw name="Click Element" library="Selenium2Library">
<doc>Click element identified by ``locator``.</doc>
<arguments>
<arg>//button[@id='submit_button']</arg>
</arguments>
<msg timestamp="20200122 23:16:49.540" level="INFO">Clicking element '//button[@id='submit_button']'.</msg>
<status status="PASS" endtime="20200122 23:16:49.762" starttime="20200122 23:16:49.539"></status>
</kw>
<kw name="Capture Page Screenshot" library="Selenium2Library">
<doc>Takes screenshot of the current page and embeds it into log file.</doc>
<arguments>
<arg>AS_001_2.jpg</arg>
</arguments>
<msg timestamp="20200122 23:16:49.784" html="yes" level="INFO">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="AS_001_2.jpg"&gt;&lt;img src="AS_001_2.jpg" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" endtime="20200122 23:16:49.784" starttime="20200122 23:16:49.762"></status>
</kw>
<kw type="teardown" name="Close All Browsers" library="Selenium2Library">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" endtime="20200122 23:16:50.026" starttime="20200122 23:16:49.784"></status>
</kw>
<status status="PASS" endtime="20200122 23:16:50.027" critical="yes" starttime="20200122 23:16:25.514"></status>
</test>
<test id="s1-s1-t2" name="AS_002_Login">
<kw name="Open Browser" library="Selenium2Library">
<doc>Opens a new browser instance to the given ``url``.</doc>
<arguments>
<arg>https://todoist.com/</arg>
<arg>ff</arg>
</arguments>
<msg timestamp="20200122 23:16:50.028" level="INFO">Opening browser 'ff' to base url 'https://todoist.com/'.</msg>
<status status="PASS" endtime="20200122 23:17:05.223" starttime="20200122 23:16:50.028"></status>
</kw>
<kw name="Wait Until Element Is Visible" library="Selenium2Library">
<doc>Waits until element ``locator`` is visible.</doc>
<arguments>
<arg>//li[@class="xC29iLDJOfZeDm_x5o7DH"]</arg>
</arguments>
<status status="PASS" endtime="20200122 23:17:05.277" starttime="20200122 23:17:05.224"></status>
</kw>
<kw name="Click Element" library="Selenium2Library">
<doc>Click element identified by ``locator``.</doc>
<arguments>
<arg>//li[@class="xC29iLDJOfZeDm_x5o7DH"]</arg>
</arguments>
<msg timestamp="20200122 23:17:05.278" level="INFO">Clicking element '//li[@class="xC29iLDJOfZeDm_x5o7DH"]'.</msg>
<status status="PASS" endtime="20200122 23:17:05.531" starttime="20200122 23:17:05.277"></status>
</kw>
<kw name="Wait Until Element Is Visible" library="Selenium2Library">
<doc>Waits until element ``locator`` is visible.</doc>
<arguments>
<arg>//iframe[@class="_1d9-wmqUMHRLlUH3yOW6SZ"]</arg>
</arguments>
<kw name="Capture Page Screenshot" library="Selenium2Library">
<doc>Takes screenshot of the current page and embeds it into log file.</doc>
<msg timestamp="20200122 23:17:10.818" html="yes" level="INFO">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="selenium-screenshot-1.png"&gt;&lt;img src="selenium-screenshot-1.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" endtime="20200122 23:17:10.819" starttime="20200122 23:17:10.588"></status>
</kw>
<msg timestamp="20200122 23:17:10.819" level="FAIL">Element '//iframe[@class="_1d9-wmqUMHRLlUH3yOW6SZ"]' not visible after 5 seconds.</msg>
<status status="FAIL" endtime="20200122 23:17:10.820" starttime="20200122 23:17:05.532"></status>
</kw>
<status status="FAIL" endtime="20200122 23:17:10.820" critical="yes" starttime="20200122 23:16:50.027">Element '//iframe[@class="_1d9-wmqUMHRLlUH3yOW6SZ"]' not visible after 5 seconds.</status>
</test>
<status status="FAIL" endtime="20200122 23:17:10.820" starttime="20200122 23:16:25.111"></status>
</suite>
<status status="FAIL" endtime="20200122 23:17:10.822" starttime="20200122 23:16:25.072"></status>
</suite>
<statistics>
<total>
<stat fail="1" pass="1">Critical Tests</stat>
<stat fail="1" pass="1">All Tests</stat>
</total>
<tag>
</tag>
<suite>
<stat fail="1" id="s1" name="Assignment" pass="1">Assignment</stat>
<stat fail="1" id="s1-s1" name="Assignment" pass="1">Assignment.Assignment</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
